
#include <oslib/oslib.h>


//variable
extern OSL_FONT *maFonte, *maFonte2, *maFonte3;
int couleur = 254; //utiliser pour le changement de couleur du texte
int timer_couleur = 0; //timmer pour le changement de couleur du texte




void texte02()
{



	maFonte2 = oslLoadFontFile("media/ArialBlack.oft"); //chargement de ma police perso
	maFonte3 = oslLoadFontFile("media/Adobe.oft"); //chargement de ma police perso
	maFonte = oslLoadFontFile("media/ArialBlack18.oft"); //chargement de ma police perso

	OSL_SPECIAL_FONT *chiffre = oslLoadCharacter(oslLoadImageFile("media/nombre.png", OSL_IN_RAM, OSL_PF_5551),14, 16, 1);
	OSL_SPECIAL_FONT *chiffre2 = oslLoadCharacter(oslLoadImageFile("media/nombre2.png", OSL_IN_RAM, OSL_PF_5551),35, 36, 1);

	OSL_SPECIAL_FONT *lettre = oslLoadCharacter(oslLoadImageFile("media/texte.png", OSL_IN_RAM, OSL_PF_5551),32, 32, 1);
	OSL_SPECIAL_FONT *lettre2 = oslLoadCharacter(oslLoadImageFile("media/texte2.png", OSL_IN_RAM, OSL_PF_5551),32, 32, 0.4);
	OSL_SPECIAL_FONT *lettre3 = oslLoadCharacter(oslLoadImageFile("media/texte3.png", OSL_IN_RAM, OSL_PF_5551),32, 32, 1);
	OSL_SPECIAL_FONT *lettre4 = oslLoadCharacter(oslLoadImageFile("media/texte4.png", OSL_IN_RAM, OSL_PF_5551),32, 32, 1);



	while (!osl_quit)
	{
		//Debut du dessin
		oslStartDrawing();
		//efface l'ecran en blanc :)
		oslClearScreen (RGB(200, 200, 200));

		//utilise une fonte
		oslSetFont(maFonte3);
		//fixe la couleur du texte pour la premiere ecriture
		oslSetTextColor(RGBA(0, 0, 0, 255));
		//affichage d'un texte normal avec oslib
		oslPrintf_xy(2,5,"texte");

		//affichage d'un texte normal avec Oslibs et change de font
		oslSetFont(maFonte2);
		oslPrintColorShadow(2, 20,JAUNE,"texte simple", 0);

		//affichage d'un texte normal avec Oslibs avec fond du texte
		oslPrintColorShadow(2, 40,ROUGE ,"Texte + fond surligner",255);

		//affichage d'un texte normal avec Oslibs avec changement de couleur du texte en boucle + fonte plus grosse
		oslSetFont(maFonte);
		oslPrintColorShadow(2, 60,RGBA(255, 255, 0, couleur),"texte + couleur qui change pour un menu", 0);


		//Solution de bidouillage pour cahnger la couleur pour le texte ci-dessus
		if(timer_couleur == 0)couleur -=4;
		if(timer_couleur == 1)couleur +=4;
		if (couleur >= 254){couleur = 254;timer_couleur = 0;}
		if (couleur <= 0){couleur = 0;timer_couleur = 1;}

		//dessine ici le chiffre 123456
		//14 et la largeur des chiffres pour la texture utiliser
		oslDrawNumber(chiffre,2, 80,123456);

		//dessine ici le chiffre 123456 avec une autre texture
		//pour les Y je prend la possition de l'autre chiffre plus haut + la aille de la textere et je le decale de 5px
		//35 et la largeur des chiffres pour la texture utiliser
		oslDrawNumber(chiffre2,2, 80 + chiffre->Image->stretchY + 5,123456);

	
		oslDrawLetter(lettre,2, 200, "font1!:;?()");
		oslDrawLetter(lettre2,2,140 , "font2 redimentionner");
		oslDrawLetter(lettre3,2,155 , "font3");
		oslDrawLetter(lettre4,240,155 , "font4");

		oslPrintStirringString( 10, 250, "Teste de Texte qui Ondule");

		oslSynchronization();

		oslReadKeys();
		if (osl_keys->pressed.start)break;

	}

}



